[INFO] fetching crate tls-parser 0.9.3...
[INFO] documenting tls-parser-0.9.3 against beta-2020-10-09 for beta-1.48-rustdoc-1
[INFO] extracting crate tls-parser 0.9.3 into /workspace/builds/worker-8/source
[INFO] validating manifest of crates.io crate tls-parser 0.9.3 on toolchain beta-2020-10-09
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "read-manifest" "--manifest-path" "Cargo.toml", kill_on_drop: false }`
[INFO] started tweaking crates.io crate tls-parser 0.9.3
[INFO] finished tweaking crates.io crate tls-parser 0.9.3
[INFO] tweaked toml for crates.io crate tls-parser 0.9.3 written to /workspace/builds/worker-8/source/Cargo.toml
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "generate-lockfile" "--manifest-path" "Cargo.toml" "-Zno-index-update", kill_on_drop: false }`
[INFO] [stderr]     Blocking waiting for file lock on package cache
[INFO] running `Command { std: "/workspace/cargo-home/bin/cargo" "+beta-2020-10-09" "fetch" "--locked" "--manifest-path" "Cargo.toml", kill_on_drop: false }`
[INFO] [stderr]     Blocking waiting for file lock on package cache
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-8/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-8/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "rustops/crates-build-env@sha256:d92eaeed33fa75130ca1ee6c8a01d1ffb62bac859dfdfb3450e3e5d1c0146529" "/opt/rustwide/cargo-home/bin/cargo" "+beta-2020-10-09" "metadata" "--no-deps" "--format-version=1", kill_on_drop: false }`
[INFO] [stdout] f9d78b6d32d5240505a10722707957308029dbfa66f88934cff144113b56ed9a
[INFO] [stderr] WARNING: Your kernel does not support swap limit capabilities or the cgroup is not mounted. Memory limited without swap.
[INFO] running `Command { std: "docker" "start" "-a" "f9d78b6d32d5240505a10722707957308029dbfa66f88934cff144113b56ed9a", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "inspect" "f9d78b6d32d5240505a10722707957308029dbfa66f88934cff144113b56ed9a", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "f9d78b6d32d5240505a10722707957308029dbfa66f88934cff144113b56ed9a", kill_on_drop: false }`
[INFO] [stdout] f9d78b6d32d5240505a10722707957308029dbfa66f88934cff144113b56ed9a
[INFO] running `Command { std: "docker" "create" "-v" "/var/lib/crater-agent-workspace/builds/worker-8/target:/opt/rustwide/target:rw,Z" "-v" "/var/lib/crater-agent-workspace/builds/worker-8/source:/opt/rustwide/workdir:ro,Z" "-v" "/var/lib/crater-agent-workspace/cargo-home:/opt/rustwide/cargo-home:ro,Z" "-v" "/var/lib/crater-agent-workspace/rustup-home:/opt/rustwide/rustup-home:ro,Z" "-e" "SOURCE_DIR=/opt/rustwide/workdir" "-e" "CARGO_TARGET_DIR=/opt/rustwide/target" "-e" "CARGO_INCREMENTAL=0" "-e" "RUST_BACKTRACE=full" "-e" "RUSTDOCFLAGS=--cap-lints=warn" "-e" "CARGO_HOME=/opt/rustwide/cargo-home" "-e" "RUSTUP_HOME=/opt/rustwide/rustup-home" "-w" "/opt/rustwide/workdir" "-m" "1610612736" "--user" "0:0" "--network" "none" "rustops/crates-build-env@sha256:d92eaeed33fa75130ca1ee6c8a01d1ffb62bac859dfdfb3450e3e5d1c0146529" "/opt/rustwide/cargo-home/bin/cargo" "+beta-2020-10-09" "doc" "--frozen" "--no-deps" "--document-private-items" "--message-format=json", kill_on_drop: false }`
[INFO] [stdout] be1ff4bde87aef22183e20cdc46d455049a5d9500cdf4d1bb951277fbc6df15c
[INFO] [stderr] WARNING: Your kernel does not support swap limit capabilities or the cgroup is not mounted. Memory limited without swap.
[INFO] running `Command { std: "docker" "start" "-a" "be1ff4bde87aef22183e20cdc46d455049a5d9500cdf4d1bb951277fbc6df15c", kill_on_drop: false }`
[INFO] [stderr]    Compiling getrandom v0.1.15
[INFO] [stderr]     Checking rusticata-macros v2.1.0
[INFO] [stderr]    Compiling rand_core v0.5.1
[INFO] [stderr]    Compiling rand_chacha v0.2.2
[INFO] [stderr]    Compiling rand_pcg v0.2.1
[INFO] [stderr]    Compiling rand v0.7.3
[INFO] [stderr]    Compiling phf_generator v0.8.0
[INFO] [stderr]    Compiling phf_codegen v0.8.0
[INFO] [stderr]    Compiling tls-parser v0.9.3 (/opt/rustwide/workdir)
[INFO] [stderr]  Documenting tls-parser v0.9.3 (/opt/rustwide/workdir)
[INFO] [stdout] warning: unresolved link to `RFC5246`
[INFO] [stdout]  --> src/tls_dh.rs:3:44
[INFO] [stdout]   |
[INFO] [stdout] 3 | /// Diffie-Hellman parameters, defined in [RFC5246] section 7.4.3
[INFO] [stdout]   |                                            ^^^^^^^ the module `tls_dh` contains no item named `RFC5246`
[INFO] [stdout]   |
[INFO] [stdout]   = note: `#[warn(broken_intra_doc_links)]` on by default
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC6066`
[INFO] [stdout]    --> src/tls_extensions.rs:240:26
[INFO] [stdout]     |
[INFO] [stdout] 240 | /// Max fragment length [RFC6066]
[INFO] [stdout]     |                          ^^^^^^^ the module `tls_extensions` contains no item named `RFC6066`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC6066`
[INFO] [stdout]    --> src/tls_extensions.rs:245:26
[INFO] [stdout]     |
[INFO] [stdout] 245 | /// Max fragment length [RFC6066]
[INFO] [stdout]     |                          ^^^^^^^ the module `tls_extensions` contains no item named `RFC6066`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC6066`
[INFO] [stdout]    --> src/tls_extensions.rs:256:21
[INFO] [stdout]     |
[INFO] [stdout] 256 | /// Status Request [RFC6066]
[INFO] [stdout]     |                     ^^^^^^^ the module `tls_extensions` contains no item named `RFC6066`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC7301`
[INFO] [stdout]    --> src/tls_extensions.rs:353:17
[INFO] [stdout]     |
[INFO] [stdout] 353 | /// Defined in [RFC7301]
[INFO] [stdout]     |                 ^^^^^^^ the module `tls_extensions` contains no item named `RFC7301`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC7685`
[INFO] [stdout]    --> src/tls_extensions.rs:363:17
[INFO] [stdout]     |
[INFO] [stdout] 363 | /// Defined in [RFC7685]
[INFO] [stdout]     |                 ^^^^^^^ the module `tls_extensions` contains no item named `RFC7685`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC6962`
[INFO] [stdout]    --> src/tls_extensions.rs:368:17
[INFO] [stdout]     |
[INFO] [stdout] 368 | /// Defined in [RFC6962]
[INFO] [stdout]     |                 ^^^^^^^ the module `tls_extensions` contains no item named `RFC6962`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC7366`
[INFO] [stdout]    --> src/tls_extensions.rs:377:37
[INFO] [stdout]     |
[INFO] [stdout] 377 | /// Encrypt-then-MAC is defined in [RFC7366]
[INFO] [stdout]     |                                     ^^^^^^^ the module `tls_extensions` contains no item named `RFC7366`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC7366`
[INFO] [stdout]    --> src/tls_extensions.rs:389:37
[INFO] [stdout]     |
[INFO] [stdout] 389 | /// Encrypt-then-MAC is defined in [RFC7366]
[INFO] [stdout]     |                                     ^^^^^^^ the module `tls_extensions` contains no item named `RFC7366`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC7627`
[INFO] [stdout]    --> src/tls_extensions.rs:400:43
[INFO] [stdout]     |
[INFO] [stdout] 400 | /// Extended Master Secret is defined in [RFC7627]
[INFO] [stdout]     |                                           ^^^^^^^ the module `tls_extensions` contains no item named `RFC7627`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC7627`
[INFO] [stdout]    --> src/tls_extensions.rs:412:43
[INFO] [stdout]     |
[INFO] [stdout] 412 | /// Extended Master Secret is defined in [RFC7627]
[INFO] [stdout]     |                                           ^^^^^^^ the module `tls_extensions` contains no item named `RFC7627`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC7627`
[INFO] [stdout]    --> src/tls_extensions.rs:421:43
[INFO] [stdout]     |
[INFO] [stdout] 421 | /// Extended Master Secret is defined in [RFC7627]
[INFO] [stdout]     |                                           ^^^^^^^ the module `tls_extensions` contains no item named `RFC7627`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC5746`
[INFO] [stdout]    --> src/tls_extensions.rs:590:37
[INFO] [stdout]     |
[INFO] [stdout] 590 | /// Renegotiation Info, defined in [RFC5746]
[INFO] [stdout]     |                                     ^^^^^^^ the module `tls_extensions` contains no item named `RFC5746`
[INFO] [stdout]     |
[INFO] [stdout]     = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC5246`
[INFO] [stdout]  --> src/tls_sign_hash.rs:4:37
[INFO] [stdout]   |
[INFO] [stdout] 4 | /// Hash algorithms, as defined in [RFC5246]
[INFO] [stdout]   |                                     ^^^^^^^ the module `tls_sign_hash` contains no item named `RFC5246`
[INFO] [stdout]   |
[INFO] [stdout]   = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC5246`
[INFO] [stdout]   --> src/tls_sign_hash.rs:21:42
[INFO] [stdout]    |
[INFO] [stdout] 21 | /// Signature algorithms, as defined in [RFC5246]
[INFO] [stdout]    |                                          ^^^^^^^ the module `tls_sign_hash` contains no item named `RFC5246`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC8446`
[INFO] [stdout]   --> src/tls_sign_hash.rs:42:42
[INFO] [stdout]    |
[INFO] [stdout] 42 | /// Signature algorithms, as defined in [RFC8446] 4.2.3
[INFO] [stdout]    |                                          ^^^^^^^ the module `tls_sign_hash` contains no item named `RFC8446`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC2246`
[INFO] [stdout]   --> src/tls_sign_hash.rs:94:37
[INFO] [stdout]    |
[INFO] [stdout] 94 | /// DigitallySigned structure from [RFC2246] section 4.7
[INFO] [stdout]    |                                     ^^^^^^^ the module `tls_sign_hash` contains no item named `RFC2246`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: unresolved link to `RFC5246`
[INFO] [stdout]   --> src/tls_sign_hash.rs:97:37
[INFO] [stdout]    |
[INFO] [stdout] 97 | /// DigitallySigned structure from [RFC5246] section 4.7
[INFO] [stdout]    |                                     ^^^^^^^ the module `tls_sign_hash` contains no item named `RFC5246`
[INFO] [stdout]    |
[INFO] [stdout]    = help: to escape `[` and `]` characters, add '\' before them like `\[` or `\]`
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stdout] warning: 18 warnings emitted
[INFO] [stdout] 
[INFO] [stdout] 
[INFO] [stderr]     Finished dev [unoptimized + debuginfo] target(s) in 6.70s
[INFO] running `Command { std: "docker" "inspect" "be1ff4bde87aef22183e20cdc46d455049a5d9500cdf4d1bb951277fbc6df15c", kill_on_drop: false }`
[INFO] running `Command { std: "docker" "rm" "-f" "be1ff4bde87aef22183e20cdc46d455049a5d9500cdf4d1bb951277fbc6df15c", kill_on_drop: false }`
[INFO] [stdout] be1ff4bde87aef22183e20cdc46d455049a5d9500cdf4d1bb951277fbc6df15c
